import PropTypes from 'prop-types';
import IconCloseDefault from '@s-ui/react-icons/lib/X';
import cx from 'classnames';
import RatingStar from './RatingStar';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";

function AdSmartbanner(_ref) {
  var buttonText = _ref.buttonText,
      customRatingIcons = _ref.customRatingIcons,
      _ref$icon = _ref.icon,
      IconClose = _ref$icon === void 0 ? IconCloseDefault : _ref$icon,
      imageUrl = _ref.imageUrl,
      onClick = _ref.onClick,
      onClose = _ref.onClose,
      ratingMax = _ref.ratingMax,
      _ref$ratingValue = _ref.ratingValue,
      ratingValue = _ref$ratingValue === void 0 ? null : _ref$ratingValue,
      _ref$staticPosition = _ref.staticPosition,
      staticPosition = _ref$staticPosition === void 0 ? false : _ref$staticPosition,
      text = _ref.text,
      title = _ref.title;
  var className = cx('sui-AdSmartbanner', {
    'is-static': staticPosition
  });
  return /*#__PURE__*/_jsxs("div", {
    className: className,
    children: [/*#__PURE__*/_jsx("button", {
      className: "sui-AdSmartbanner-buttonClose",
      onClick: onClose,
      children: /*#__PURE__*/_jsx(IconClose, {
        svgClass: "sui-AdSmartbanner-buttonCloseIcon"
      })
    }), /*#__PURE__*/_jsx("div", {
      className: "sui-AdSmartbanner-primary",
      children: /*#__PURE__*/_jsx("img", {
        alt: "logo",
        src: imageUrl,
        className: "sui-AdSmartbanner-logo"
      })
    }), /*#__PURE__*/_jsxs("div", {
      className: "sui-AdSmartbanner-secondary",
      children: [/*#__PURE__*/_jsx("h3", {
        className: "sui-AdSmartbanner-title",
        children: title
      }), /*#__PURE__*/_jsx("p", {
        className: "sui-AdSmartbanner-text",
        children: text
      }), ratingValue !== null && /*#__PURE__*/_jsx("div", {
        className: "sui-AdSmartbanner-ratingContainer",
        children: /*#__PURE__*/_jsx(RatingStar, {
          ratingValue: ratingValue,
          ratingMax: ratingMax,
          icons: customRatingIcons
        })
      })]
    }), /*#__PURE__*/_jsx("button", {
      className: "sui-AdSmartbanner-buttonInstall",
      onClick: onClick,
      children: buttonText
    })]
  });
}

AdSmartbanner.displayName = 'AdSmartbanner';
export default AdSmartbanner;